This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 841868 - Systems page always shows lo interface IP on list
Systems page always shows lo interface IP on list
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jordan OMara
Og Maciel
:
Depends On: 841691
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 08:48 EDT by Jordan OMara
Modified: 2014-11-09 17:56 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 841691
Environment:
Last Closed: 2013-02-21 14:16:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jordan OMara 2012-07-20 08:48:38 EDT
+++ This bug was initially created as a clone of Bug #841691 +++

Recent changes to candlepin now submit multiple IP addresses as system facts. However, the old field "network.ipv4.address" is generally set to the loopback (127.0.0.1) which is not very useful in the list form as it is the same for every machine.

This bug: https://bugzilla.redhat.com/show_bug.cgi?id=841689 will add a "Primary IP" field we can use; but in the meantime I suggest selecting the first non-loopback interface
Comment 1 Jordan OMara 2012-07-25 14:52:30 EDT
https://github.com/Katello/katello/pull/354
Comment 2 Og Maciel 2012-10-09 15:27:42 EDT
Verified:

* candlepin-0.7.12-1.el6_3.noarch
* candlepin-tomcat6-0.7.12-1.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1h.el6_3.noarch
* katello-cli-common-1.1.10-1h.el6_3.noarch
* katello-cli-headpin-0.2.2-1.el6_2.noarch
* katello-common-1.1.14-2h.el6_3.noarch
* katello-configure-1.1.11-1h.el6_3.noarch
* katello-glue-candlepin-1.1.14-2h.el6_3.noarch
* katello-headpin-1.1.14-2h.el6_3.noarch
* katello-headpin-all-1.1.14-2h.el6_3.noarch
* katello-selinux-1.1.2-1h.el6_3.noarch
Comment 4 errata-xmlrpc 2013-02-21 14:16:55 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.